declare function segmentParagraphs(text: string): string[];

type SupportedLanguages = "en" | "zh";

declare function segmentSentences(text: string, options: {
    lang?: SupportedLanguages;
}): string[];

declare function segmentPhrases(text: string, options: {
    lang?: SupportedLanguages;
}): string[];

declare function segmentWords(text: string, options: {
    lang?: SupportedLanguages;
}): string[];

declare function createSegmentation(text: string, options: {
    lang?: SupportedLanguages;
    segmentation: "paragraphs" | "sentences" | "phrases" | "words";
}): string[];

export { SupportedLanguages, createSegmentation, segmentParagraphs, segmentPhrases, segmentSentences, segmentWords };
